Update an app
curl --request PUT \
--url https://api.example.com/api/app/{app_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/app/{app_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/app/{app_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_name": "<string>",
"created_date": "<unknown>",
"updated_date": "<unknown>",
"app_type": "hand_authored",
"created_by": "<string>",
"updated_by": "<string>"
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}App manager
Update an app
Updates an app’s name.
Requires an nx1_app_manager role or an app-specific role.
This is also configurable via the MANAGER_ROLE environment variable.
PUT
/
api
/
app
/
{app_id}
Update an app
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique ID of the app.
Query Parameters
New name for the app.
Response
App name updated successfully.
Response model for app details.
Unique ID of the app.
Name of the app.
Timestamp when the app was created.
Timestamp when the app was last updated.
Type of application.
Available options:
hand_authored, notebook_pipeline, inference_service, full_pipeline Username of the creator.
Username of the last updater.
Was this page helpful?

